Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.query
Class JRAbstractQueryExecuter.QueryParameter

    java.lang.Object
      net.sf.jasperreports.engine.query.JRAbstractQueryExecuter.QueryParameter

Enclosing class:
  JRAbstractQueryExecuter

    protected static class JRAbstractQueryExecuter.QueryParameter

extends java.lang.Object

A parameter present in the query.

Field Summary
`protected static int` | `COUNT_SINGLE`

Constructor Summary
`JRAbstractQueryExecuter.QueryParameter(java.lang.String name)`
`JRAbstractQueryExecuter.QueryParameter(java.lang.String name, int count)`

Method Summary
`int` | `getCount()` Returns the number of parameter values.
`java.lang.String` | `getName()` Returns the name of the report parameter.
`boolean` | `isMulti()` Decides whether the parameter has multiple values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COUNT_SINGLE

    protected static final int COUNT_SINGLE

See Also:
  Constant Field Values

Constructor Detail

### JRAbstractQueryExecuter.QueryParameter

    public JRAbstractQueryExecuter.QueryParameter(java.lang.String name)

### JRAbstractQueryExecuter.QueryParameter

    public JRAbstractQueryExecuter.QueryParameter(java.lang.String name,
                                                  int count)

Method Detail

### isMulti

    public boolean isMulti()

  Decides whether the parameter has multiple values.

  Returns:
    whether the parameter has multiple values.

### getCount

    public int getCount()

  Returns the number of parameter values.

  Returns:
    the number of parameter values
  See Also:
    `isMulti()`

### getName

    public java.lang.String getName()

  Returns the name of the report parameter.

  Returns:
    the name of the report parameter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com